Apache C++ Standard Library Reference Guide

## <typeinfo>

Library: Language support

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<typeinfo>` is part of the Language support library of the C++ Standard Library. It defines the class type_info associated with type information generated by the implementation. It also defines the classes bad_cast and bad_typeid for reporting dynamic type identification errors.

### Synopsis

    namespace std {
      class type_info;
      class bad_cast;
      class bad_typeid;
    }

### See Also

bad_cast, bad_typeid

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 18.5